from linux_router import LinuxRouter
from mininet.topo import Topo
from topologies.custom_topo import CustomTopo


class BigTopo(CustomTopo):
    def build(self):
        R1 = self.addNode('r1', cls=LinuxRouter, ip='10.1.0.1/24')
        R2 = self.addNode('r2', cls=LinuxRouter, ip='10.2.0.1/24')
        R3 = self.addNode('r3', cls=LinuxRouter, ip='10.3.0.1/24')
        R4 = self.addNode('r4', cls=LinuxRouter, ip='10.4.0.1/24')
        R5 = self.addNode('r5', cls=LinuxRouter, ip='10.5.0.1/24')
        R6 = self.addNode('r6', cls=LinuxRouter, ip='10.6.0.1/24')
        R7 = self.addNode('r7', cls=LinuxRouter, ip='10.7.0.1/24')
        R8 = self.addNode('r8', cls=LinuxRouter, ip='10.8.0.1/24')
        R9 = self.addNode('r9', cls=LinuxRouter, ip='10.9.0.1/24')
        R10 = self.addNode('r10', cls=LinuxRouter, ip='10.10.0.1/24')
        R11 = self.addNode('r11', cls=LinuxRouter, ip='10.11.0.1/24')
        R12 = self.addNode('r12', cls=LinuxRouter, ip='10.12.0.1/24')